Skip to main content
Back to API List

Get Campaign Status API

Retrieves the current status of a specific campaign using its campaign ID. Use this API to check whether a campaign is active, stopped, or in another state.
MethodPOST
Endpointhttps://{{host}}/campaign/api/v2/public/{{streamId}}/campaign/{{campaignId}}/status?accountId={{accountId}}&view=status
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeCampaign Management

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdBot ID or Stream ID. You can get it from the general settings page.string, required
campaignIdUnique identifier of the campaign to trigger.string, required

Query Parameter

ParameterDescriptionType
viewValue must be status to retrieve status only.string, optional

Sample Request

curl --location 'https://{{host}}/campaign/api/v2/public/{{streamId}}/campaign/{{campaignId}}/status?accountId={{accountId}}&view=status' \
--header 'iid: st-0603182c-7ffb-53c3-b307-47ca14bxxxxx' \
--header 'accountId: 67777ce93e25326494exxxxx' \
--header 'auth: <token>' \
--data '{}'


Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.required
iidThe Application Id.required
accountIdThe Account Id.required

Sample Response

{
    "status": "success",
    "data": {
        "id": "cd-469cba4-2597-471d-b5ed-02732c2xxxxx",
        "status": "Ready",
        "name": "Service Renewal Outreach Campaign6"
    }
}

Response Parameters

ParameterDescriptionType
statusAPI call result. Value: "success" or "failure".string
data.idCampaign ID.string
data.statusCurrent campaign status (for example, Active, Stopped).string
data.nameThe campaign name.string